> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listen to audio agent

> Create a listener token to join an existing agent call room



## OpenAPI

````yaml post /api/v1/agent/listen
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/agent/listen:
    post:
      tags:
        - Dispatch
      summary: Listen to audio agent
      description: Create a listener token to join an existing agent call room
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                agentCallId:
                  type: string
              required:
                - agentCallId
      responses:
        '201':
          description: Listener token created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  connectionDetails:
                    $ref: '#/components/schemas/WebDispatchConnectionDetails'
                required:
                  - connectionDetails
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  schemas:
    WebDispatchConnectionDetails:
      type: object
      properties:
        serverUrl:
          type: string
        roomName:
          type: string
        participantName:
          type: string
        participantToken:
          type: string
      required:
        - serverUrl
        - roomName
        - participantName
        - participantToken
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````